=== debian/control ===
Source: mlddc
Section: net
Priority: optional
Maintainer:  <john@dhh.gt.org>
Standards-Version: 2.1.2.2

Package: mlddc
Architecture: any
Depends: ${shlibs:Depends}
Description: A client for the Monolith dynamic DNS.
 mlddc is a client for the Monolith ( http://www.ml.org )
 dynamic DNS ( DYNDNS, http://www.ml.org/dyndns/ ) service.
 It updates the ML database and nameservers with the current IP.
