## mlddc 3.2.2-4

=== debian/changelog ===
mlddc (3.2.2-4) frozen unstable; urgency=low

  * Added one line description

 -- John Hasler <john@dhh.gt.org>  Fri, 27 Mar 1998 12:00:43 -0600

mlddc (3.2.2-3 unstable; urgency=low

  * Corrected description

 -- John Hasler <john@dhh.gt.org>  Mon, 23 Mar 1998 17:00:43 -0600

mlddc (3.2.2-2) unstable; urgency=low

  * Corrected missing description

 -- John Hasler <john@dhh.gt.org>  Sun, 22 Mar 1998 22:00:43 -0600

  * Initial Release

 -- John Hasler <john@dhh.gt.org>  Thur, 12 Mar 1998 15:23:43 -0600

        * Initial Release.
